/* ------------------------------
   RESET & BASE LAYOUT
---------------------------------*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: #bcdcf4;
  height: 100vh;
  display: flex;
  align-items: center;
}

main {
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  overflow: hidden;
}
.title{
  margin-top: 3rem;
  margin-bottom: 1rem;
}
.title h1, .title h2{
  margin-block: 0rem;
}
.title h1{
  margin-bottom: .5rem;
}

/* ------------------------------
   CONTENT BLOCK
---------------------------------*/
.content {
  background: #ca3c3d;
  overflow: hidden;
  padding: 3rem;
  color: white;
  font-family: sans-serif;
  text-align: center;
  border-radius: 30px;
}

@media screen and (max-width: 600px){
    .content {
        border-radius: 0;
        padding: 1.5rem;
    }
}

/* ------------------------------
   IMAGES
---------------------------------*/
img {
  max-width: 100%;
  height: auto;
  display: block;
}

.logo {
  width: fit-content;
  margin: auto;
}

/* ------------------------------
   HEADLINE
---------------------------------*/
h1 {
  text-align: center;
  margin-block: 1.5rem;
  font-size: 4rem;
}
h2{
    font-size: 2rem;
    margin-bottom: 1.5rem;
}
a {
    text-decoration: none;
    color: #ffffff;
    font-weight: bolder;
    transition: all .5s;
}
a:hover {
    color: #9e9e9e;
}
@media screen and (max-width: 600px){
    h1{
        font-size: 3rem;
    }
}
@media screen and (max-width: 450px){
    h2{
        font-size: 1.8rem;
    }
}

/* ------------------------------
   GLIDE CAROUSEL
---------------------------------*/
.glide {
  position: relative;
  overflow: hidden;
}

.glide__track {
  overflow: visible; /* allows hover/oversized items to show */
}

.glide__slides {
  display: flex;
  list-style: none;
  padding: 0;
  margin: 0;
}

/* Slide */
.glide__slide {
    flex: 0 0 auto;
    width: 100%;
    padding: 0 10px;
    display: flex;
    align-items: center;
    background: white;
    border-radius: 10px;
    flex-direction: column;
    color: #ca3c3d;
}
.glide__slide .featured-click {
    height: 80%;
    max-height: 250px;
}
.featured-click img {
    object-fit: contain;
    height: 100%;
}
.glide__slide p {
    height: 20%;
}

/* Featured Click Area */
.featured-click {
  text-align: center;
  padding: 1rem;
  transition: transform 0.3s ease;
}

.featured-click:hover {
  transform: translateY(-10px);
}

/* ------------------------------
   ARROWS
---------------------------------*/
.glide__arrows {
  position: absolute;
  top: 50%;
  left: 1%;
  width: 98%;
  display: flex;
  justify-content: space-between;
  transform: translateY(-50%);
  pointer-events: none;
}

.glide__arrow {
    font-size: 1rem;
    line-height: 1;
    background: #e4e4e4;
    color: #000000;
    border: none;
    padding: 1rem;
    border-radius: 500px;
    cursor: pointer;
    pointer-events: all;
    border: 1px solid white;
}
